Bug Hunting Session
Bug 113400 - Crash in Basic IDE if you press Enter to get a new line
Summary: Crash in Basic IDE if you press Enter to get a new line
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2017-10-24 13:25 UTC by Regina Henschel
Modified: 2017-10-25 05:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
File with embedded macro (10.86 KB, application/vnd.oasis.opendocument.text)
2017-10-24 13:25 UTC, Regina Henschel
Details
bt with debug symbols (6.78 KB, text/plain)
2017-10-24 21:35 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-10-24 13:25:46 UTC
Created attachment 137251 [details]
File with embedded macro

Open attached document. It contains a macro. Open Basic IDE and go to that macro.
Set the cursor at the start of a line, e.g. at start of line#14. Press Enter key. LibreOffice crashes.

Same in LO 5.4 does not crash.
Comment 1 raal 2017-10-24 19:11:08 UTC
This seems to have begun at the below commit.
Adding Cc: to Julien Nabet ; Could you possibly take a look at this one?
Thanks

cfd5792e4e7972f234d2c79517d8b5c6f5c13067 is the first bad commit
commit cfd5792e4e7972f234d2c79517d8b5c6f5c13067
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Sep 28 14:50:35 2017 +0200

    source sha:19910c461230f70bb9e98ad44db3525f0d755724

author	Julien Nabet <serval2412@yahoo.fr>	2017-09-27 22:18:05 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2017-09-28 11:10:58 (GMT)
commit	19910c461230f70bb9e98ad44db3525f0d755724 (patch)
tree	7dbb8eb1769cca940375cee2ff26e8a595e1d8e6
parent	4fca2ef76a6dfe6c74ada71ab4806dc4ad568b82 (diff)
tdf#112658: fix leak when calling TextEngine::SetAttrib
Comment 2 Julien Nabet 2017-10-24 21:35:29 UTC
Created attachment 137263 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2017-10-24 21:57:53 UTC
Indeed when reverting the quoted commit, I don't reproduce the crash.

I submitted this patch to review on gerrit:
https://gerrit.libreoffice.org/#/c/43795/

Thank you Raal for having pinpointed the faulty commit and having pinged me! :-)
Comment 4 Commit Notification 2017-10-25 05:04:32 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f49ba490a566225d2c6b3925cfe39756a01625ba

tdf#113400: fix crash by destroying returned unique_ptr

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2017-10-25 05:17:07 UTC
Don't hesitate to reopen this tracker if it still crashes for you with a build including the commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=f49ba490a566225d2c6b3925cfe39756a01625ba